Subject: Re: [TOOLS-DEVELOPMENT] RFC format related SoWs (PublicationFormatter, TextSubmissionConverter, idnits, rfclint, xmlDiff, svgCheck)

From: Robert Sparks <[email-masked]>
Date: Thu, 04 Dec 2014 14:41:36 -0600

At the same link below, you'll now find

PublicationFormatter-03:
    I added a significant amount of text dealing
    with v2->v3 conversion and preparation of
    v3 documents for archival in the RFC series.
    There are three primary places where the
    document needs to point to output from
    the design team that is not yet available -
    these are visually highlighted.

idnits-01:
    I modified the row talking about boilerplate
    checks in input documents and added a row
    about autogenerated identifier checks, to align
    with the changes in the v3 grammar (and the
    processing instructions in the PublicationFormatter
    document).

The other SoW are unchanged. Based on the recent
thread, I won't be combining any of them, and
suggest instead we just bundle idnits, rfclint, and
svgcheck into one SoW.

This is what remains to be done:
* The design team needs to finish an example v3 input document
* The design team needs to finish writing down how to replace deprecated 
v2 elements with v3 constructs and provide an example document.
* The v3 document needs to be stable enough to code against (I think the 
next version, which will come out soon, is probably at that point)

For folks on _this_ team - Please review and comment on the changes to 
the PublicationFormatter and idnits documents.

RjS

On 10/30/14 11:01 AM, Robert Sparks wrote:
> I've put the current versions (updated as described below) at
> <http://www.nostrum.com/~rjsparks/rfced/>.
>
> Here's the status:
>
> PublicationFormatter-02:
>   (This remains the rawest document.)
>   I made some minor adjustments based on Heather's feedback.
>   I added Joe's test v3 document to the test documents this project 
> will use.
>   I added a TODO to add (or point to) the requirements for implementing
>   the boilerplate and numbering manipulation the design team has been 
> discussing.
>
> TextSubmissionConverter-02:
>   I reverted the suggestion to use an intermediate language (such as 
> markdown) at
>   Sandy and Alice's request.
>
> idnits-00:
>   Unchanged since what you saw last. I've received no comments that 
> suggested
>   changes.
>
> rfclint-04:
>    I removed the idnits functionality from this, leaving it as a front 
> end for
>    grammar and spelling checks, and for verifying formal languages (such
>    as XML or ABNF contained in a document.
>
> svgcheck-02:
>    Repaired nits that Tony identified.
>
> xmlDiff-03:
>    Repaired nit that Tony identified and incorporated his additional 
> text.
>
>